Index: /code/branches/presentation3/data/levels/The Time Machine.oxw
===================================================================
--- /code/branches/presentation3/data/levels/The Time Machine.oxw	(revision 7087)
+++ /code/branches/presentation3/data/levels/The Time Machine.oxw	(revision 7088)
@@ -1,8 +1,8 @@
 <?lua 
-	include("stats.oxo")
-	include("hudtemplates3.oxo")
+    include("stats.oxo")
+    include("hudtemplates3.oxo")
     include("templates/lodinformation.oxt")
-	include("templates/spaceship_assff.oxt")
-	include("templates/spaceship_pirate.oxt")
+    include("templates/spaceship_assff.oxt")
+    include("templates/spaceship_pirate.oxt")
 ?>
 
@@ -60,28 +60,28 @@
 <!--CREATING SPAWNPOINTS______________________________________________________________________________________________________________________________________________________________OK-->
 <Level
-	name="The Time Machine"
-	description="A simple level. The only goal is to defeat as much enemies as you can."
-	gametype=TeamDeathmatch
+    name="The Time Machine"
+    description="A simple level. The only goal is to defeat as much enemies as you can."
+    gametype=TeamDeathmatch
 >
   <templates>
     <Template link=lodtemplate_default />
   </templates>
-	<Scene
-		ambientlight="0.8,0.8,0.8"
-		skybox="Orxonox/skypanoramagen2"
-	>
-		
-		<Light type=directional position="0,0,0" direction="0, 0, 0" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 1.0, 0.9" />
+    <Scene
+        ambientlight="0.8,0.8,0.8"
+        skybox="Orxonox/skypanoramagen2"
+    >
+    
+        <Light type=directional position="0,0,0" direction="0, 0, 0" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 1.0, 0.9" />
 
 <?lua for i=0,4,1 do
 x=500
-?>				
-
-		<SpawnPoint team=0 position="-4000,0,<?lua print(i*x-1000) ?>" direction="5000,0,<?lua print(i*x-1000) ?>" spawnclass=SpaceShip pawndesign=spaceshipassffplayer />
+?>    
+
+        <TeamSpawnPoint team=0 position="-4000,0,<?lua print(i*x-1000) ?>" direction="5000,0,<?lua print(i*x-1000) ?>" spawnclass=SpaceShip pawndesign=spaceshipassffplayer />
 <!--friendly spaceships spawnpoints-->
-		<TeamSpawnPoint team=0 position="-4000,0,<?lua print(i*x-1000) ?>" lookat="5000,0,<?lua print(i*x-1000) ?>" spawnclass=SpaceShip pawndesign=spaceshipassff />
+        <!-- TeamSpawnPoint team=0 position="-4000,0,<?lua print(i*x-1000) ?>" lookat="5000,0,<?lua print(i*x-1000) ?>" spawnclass=SpaceShip pawndesign=spaceshipassff /-->
 
 <!--enemy spaceship spawnpoint-->
-		<TeamSpawnPoint team=1 position="4000,0,<?lua print(i*x-1000) ?>" lookat="-5000,0,<?lua print(i*x-1000) ?>" spawnclass=SpaceShip pawndesign=spaceshippirate />
+        <!-- TeamSpawnPoint team=1 position="4000,0,<?lua print(i*x-1000) ?>" lookat="-5000,0,<?lua print(i*x-1000) ?>" spawnclass=SpaceShip pawndesign=spaceshippirate /-->
 <?lua end ?>
 
@@ -89,28 +89,86 @@
 
 
-
-		
-		
-		
-
 <!--Triggers (used for the Time Machine effect)_________________________________________________________________________________________________________________________partially working-->
-		
-		<!--TRIGGERS IF THE PLAYERS REACHES THE "TIME MACHINE"-->
-		<DistanceTrigger name="EnterTimeMachine" position="0,0,0" distance="100" target="DistanceTriggerBeacon" targetname="PlayerDistanceTrigger" invert=true >
-			<attached>
-				<Billboard position="0,0,0" material="Examples/Flare" colour="0, 0, 1" scale=1/>
-				<Billboard position="100,0,0" material="Examples/Flare" colour="0, 0, 1" scale=1/>
-				<Billboard position="0,100,0" material="Examples/Flare" colour="0, 0, 1" scale=1/>
-				<Billboard position="0,0,100" material="Examples/Flare" colour="0, 0, 1" scale=1/>
-				<Billboard position="-100,0,0" material="Examples/Flare" colour="0, 0, 1" scale=1/>
-				<Billboard position="0,-100,0" material="Examples/Flare" colour="0, 0, 1" scale=1/>
-				<Billboard position="0,0,-100" material="Examples/Flare" colour="0, 0, 1" scale=1/>
-			</attached>
-		</DistanceTrigger>
-		
+    
+        <!--TRIGGERS IF THE PLAYERS REACHES THE "TIME MACHINE"-->
+        <DistanceTrigger name="EnterTimeMachine" position="0,0,0" distance="100" target="DistanceTriggerBeacon" targetname="PlayerDistanceTrigger" >
+            <attached>
+                <Billboard position="0,0,0" material="Examples/Flare" colour="0, 0, 1" scale=1/>
+                <Billboard position="100,0,0" material="Examples/Flare" colour="0, 0, 1" scale=1/>
+                <Billboard position="0,100,0" material="Examples/Flare" colour="0, 0, 1" scale=1/>
+                <Billboard position="0,0,100" material="Examples/Flare" colour="0, 0, 1" scale=1/>
+                <Billboard position="-100,0,0" material="Examples/Flare" colour="0, 0, 1" scale=1/>
+                <Billboard position="0,-100,0" material="Examples/Flare" colour="0, 0, 1" scale=1/>
+                <Billboard position="0,0,-100" material="Examples/Flare" colour="0, 0, 1" scale=1/>
+            </attached>
+        </DistanceTrigger>
+
+        <EventTrigger switch=true name=trigger4>
+            <events>
+                <trigger>
+                    <EventListener event=BotDied />
+                </trigger>
+            </events>
+        </EventTrigger>
+
+        <!-- This Trigger flips to true if the player is in the TimeMachine and shoots another player and flips right back after that. -->
+        <Trigger name=trigger1 mode=and >
+            <EventTrigger name=trigger6>
+                <events>
+                    <trigger>
+                        <EventListener event=EnterTimeMachine />
+                    </trigger>
+                </events>
+            </EventTrigger>
+            <EventTrigger switch=true name=trigger4>
+                <events>
+                    <trigger>
+                        <EventListener event=BotDied />
+                        <EventListener event=trigger2 />
+                    </trigger>
+                </events>
+            </EventTrigger>
+            <EventTrigger invert=true name=trigger5>
+                <events>
+                    <trigger>
+                        <EventListener event=trigger2 />
+                    </trigger>
+                </events>
+            </EventTrigger>
+        </Trigger>
+
+        <!-- This Trigger is true iff the player is in the TimeMachine and has shot another player -->
+        <EventTrigger name=trigger2 switch=true >
+            <events>
+                <trigger>
+                    <EventListener event=trigger1 />
+                    <EventListener event=trigger3 />
+                </trigger>
+            </events>
+        </EventTrigger>
+
+        <!-- This Trigger flips trigger2 back to false after the player has left the TimeMachine. -->
+        <Trigger name=trigger3 mode=and >
+            <EventTrigger>
+                <events>
+                    <trigger>
+                        <EventListener event=trigger2 />
+                    </trigger>
+                </events>
+            </EventTrigger>
+            <EventTrigger invert=true>
+                <events>
+                    <trigger>
+                        <EventListener event=EnterTimeMachine />
+                    </trigger>
+                </events>
+            </EventTrigger>
+        </Trigger>
+
+    
 <!--Triggers (used for the Time Machine effect)_____________________________________________________________________________________________________________________________________________-->
 
 <!--Creating Spaceships___________________________________________________________________________________________________________________________________________________________________OK-->
-		
+    
 <?lua for i=0,5,1 do 
 y=math.random(-500,500)
@@ -121,99 +179,82 @@
 addh=100
 ?>
-		<!--		Creation of Bots	
-		<EventTrigger name="ActivateAll" stayactive=1 >
-			<events>
-				<trigger>
-					<Bot>
-						<events>
-							<activity>
-								<EventListener event="EnterTimeMachine" />
-							</activity>
-						</events>
-					</Bot>
-				</trigger>
-			</events>
-		</EventTrigger>
-		-->
-		
-		<EventTrigger name="ActivateAll" stayactive=true >
-			<events>
-				<trigger>
-					<SpaceShip position="-4000,<?lua print(y) ?>,<?lua print(z) ?>" lookat="1000,<?lua print(y) ?>,<?lua print(z) ?>" health=<?lua print(health) ?> maxhealth=<?lua print(health) ?> initialhealth=<?lua print(health) ?> >
-						<templates>
-							<Template link=spaceshipassff />
-				 		</templates>
-				  		<controller>
-							<WaypointPatrolController alertnessradius=1000 team=0 active=1 >
-								<waypoints>
-									<Model mesh="cube.mesh" scale=0 position="1000,<?lua print(math.random(-1000,1000)) ?>,<?lua print(math.random(-1000,1000)) ?>" />
-								</waypoints>
-								<events>
-									<activity>
-										<Trigger mode=or >
-											<EventTrigger>
-												<events>
-													<trigger>
-														<EventListener event="EnterTimeMachine" />
-													</trigger>
-												</events>
-											</EventTrigger>
-											<EventTrigger>
-												<events>
-													<trigger>
-														<EventListener event="ActivateAll" />
-													</trigger>
-												</events>
-											</EventTrigger>
-										</Trigger>
-									</activity>
-								</events>
-							</WaypointPatrolController>
-				  		</controller>
-					</SpaceShip>
-				</trigger>
-			</events>
-		</EventTrigger>
-
-
-
-		<EventTrigger name="ActivateAll" stayactive=true>
-			<events>
-				<trigger>
-					<SpaceShip position="4000,<?lua print(y2) ?>,<?lua print(z2) ?>" lookat="-1000,<?lua print(y2) ?>, <?lua print(z2) ?>" health=<?lua print(health+addh) ?> maxhealth=<?lua print(health+addh) ?> initialhealth=<?lua print(health+addh) ?> >
-						<templates>
-							<Template link=spaceshippirate />
-				 		</templates>
-				  		<controller>
-							<WaypointPatrolController alertnessradius=1000 team=0 active=1 >
-								<waypoints>
-									<Model mesh="cube.mesh" scale=0 position="-1000,<?lua print(math.random(-1000,1000)) ?>, <?lua print(math.random(-1000,1000)) ?>" />
-								</waypoints>
-								<events>
-									<activity>
-										<Trigger mode=or >
-											<EventTrigger>
-												<events>
-													<trigger>
-														<EventListener event="EnterTimeMachine" />
-													</trigger>
-												</events>
-											</EventTrigger>
-											<EventTrigger>
-												<events>
-													<trigger>
-														<EventListener event="ActivateAll" />
-													</trigger>
-												</events>
-											</EventTrigger>
-										</Trigger>
-									</activity>
-								</events>
-							</WaypointPatrolController>
-				  		</controller>
-					</SpaceShip>
-				</trigger>
-			</events>
-		</EventTrigger>
+    
+        <EventTrigger name="BotDied" >
+            <events>
+                <trigger>
+                    <SpaceShip position="-4000,<?lua print(y) ?>,<?lua print(z) ?>" lookat="1000,<?lua print(y) ?>,<?lua print(z) ?>" health=<?lua print(health) ?> maxhealth=<?lua print(health) ?> initialhealth=<?lua print(health) ?> >
+                        <templates>
+                            <Template link=spaceshipassff />
+                         </templates>
+                          <controller>
+                            <WaypointPatrolController alertnessradius=1000 team=0 active=1 >
+                                <waypoints>
+                                    <Model mesh="cube.mesh" scale=0 position="1000,<?lua print(math.random(-1000,1000)) ?>,<?lua print(math.random(-1000,1000)) ?>" />
+                                </waypoints>
+                                <events>
+                                    <activity>
+                                        <Trigger mode=or>
+                                            <EventTrigger invert=true>
+                                                <events>
+                                                    <trigger>
+                                                        <EventListener event=EnterTimeMachine />
+                                                    </trigger>
+                                                </events>
+                                            </EventTrigger>
+                                            <EventTrigger>
+                                                <events>
+                                                    <trigger>
+                                                        <EventListener event=trigger2 />
+                                                    </trigger>
+                                                </events>
+                                            </EventTrigger>
+                                        </Trigger>
+                                    </activity>
+                                </events>
+                            </WaypointPatrolController>
+                          </controller>
+                    </SpaceShip>
+                </trigger>
+            </events>
+        </EventTrigger>
+
+        <EventTrigger name="BotDied" >
+            <events>
+                <trigger>
+                    <SpaceShip position="4000,<?lua print(y2) ?>,<?lua print(z2) ?>" lookat="-1000,<?lua print(y2) ?>, <?lua print(z2) ?>" health=<?lua print(health+addh) ?> maxhealth=<?lua print(health+addh) ?> initialhealth=<?lua print(health+addh) ?> >
+                        <templates>
+                            <Template link=spaceshippirate />
+                         </templates>
+                          <controller>
+                            <WaypointPatrolController alertnessradius=1000 team=1 active=1 >
+                                <waypoints>
+                                    <Model mesh="cube.mesh" scale=0 position="-1000,<?lua print(math.random(-1000,1000)) ?>, <?lua print(math.random(-1000,1000)) ?>" />
+                                </waypoints>
+                                <events>
+                                    <activity>
+                                        <Trigger mode=or>
+                                            <EventTrigger invert=true>
+                                                <events>
+                                                    <trigger>
+                                                        <EventListener event=EnterTimeMachine />
+                                                    </trigger>
+                                                </events>
+                                            </EventTrigger>
+                                            <EventTrigger>
+                                                <events>
+                                                    <trigger>
+                                                        <EventListener event=trigger2 />
+                                                    </trigger>
+                                                </events>
+                                            </EventTrigger>
+                                        </Trigger>
+                                    </activity>
+                                </events>
+                            </WaypointPatrolController>
+                          </controller>
+                    </SpaceShip>
+                </trigger>
+            </events>
+        </EventTrigger>
 <?lua end ?>
 
@@ -221,47 +262,47 @@
 
 <!--BILLBOARD IN THE MIDDLE OF THE BATTLEFIELD-->
-		<Billboard position="0,0,0" colour="1.0,1.0,1.0" material="Flares/backlightflare" scale=1 />
-		
+        <Billboard position="0,0,0" colour="1.0,1.0,1.0" material="Flares/backlightflare" scale=1 />
+    
 <!--TIME MACHINE____________________________________________________________________________________________________________________________________________________________________________-->
-		<StaticEntity>
-			<attached>
-				<MovableEntity position="0,0,0">
-					<attached>
+        <StaticEntity>
+            <attached>
+                <MovableEntity position="0,0,0">
+                    <attached>
 <!--MIDDLE-->
 <?lua for i=0,2,1 do ?>
-						<MovableEntity	position="0,0,0" rotationaxis="1,1,0" rotationrate=<?lua print(-255-i*120) ?> >
-							<attached>
-								<Billboard position="<?lua print(10+i*10) ?>,<?lua print(-10-i*10) ?>,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
-								<Billboard position="-10,10,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
-							</attached>
-						</MovableEntity>
-	
-						<MovableEntity	position="0,0,0" rotationaxis="1,0,1" rotationrate=<?lua print(-245-i*90) ?> >
-							<attached>
-								<Billboard position="<?lua print(10+i*20) ?>,<?lua print(-10-i*20) ?>,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
-								<Billboard position="<?lua print(-10-i*20) ?>,<?lua print(10+i*20) ?>,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
-							</attached>
-						</MovableEntity>
-		
-						<MovableEntity	position="0,0,0" rotationaxis="1,0,1" rotationrate=<?lua print(265+i*110) ?> >
-							<attached>
-								<Billboard position="<?lua print(10+i*20) ?>,0,<?lua print(-10-i*20) ?>" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
-								<Billboard position="<?lua print(-10-i*20) ?>,0,<?lua print(10+i*20) ?>" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
-							</attached>
-						</MovableEntity>
-		
-						<MovableEntity	position="0,0,0" rotationaxis="0,1,0" rotationrate=<?lua print(240+i*80) ?> >
-							<attached>
-								<Billboard position="<?lua print(15+i*30) ?>,0,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
-								<Billboard position="<?lua print(-15-i*30) ?>,0,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
-							</attached>
-						</MovableEntity>
-
-						<MovableEntity	position="0,0,0" rotationaxis="1,0,0" rotationrate=<?lua print(232+i*70) ?> >
-							<attached>
-								<Billboard position="0,<?lua print(15+i*30) ?>,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
-								<Billboard position="0,<?lua print(-15-i*30) ?>,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
-							</attached>
-						</MovableEntity>
+                        <MovableEntity    position="0,0,0" rotationaxis="1,1,0" rotationrate=<?lua print(-255-i*120) ?> >
+                            <attached>
+                                <Billboard position="<?lua print(10+i*10) ?>,<?lua print(-10-i*10) ?>,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
+                                <Billboard position="-10,10,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
+                            </attached>
+                        </MovableEntity>
+    
+                        <MovableEntity    position="0,0,0" rotationaxis="1,0,1" rotationrate=<?lua print(-245-i*90) ?> >
+                            <attached>
+                                <Billboard position="<?lua print(10+i*20) ?>,<?lua print(-10-i*20) ?>,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
+                                <Billboard position="<?lua print(-10-i*20) ?>,<?lua print(10+i*20) ?>,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
+                            </attached>
+                        </MovableEntity>
+    
+                        <MovableEntity    position="0,0,0" rotationaxis="1,0,1" rotationrate=<?lua print(265+i*110) ?> >
+                            <attached>
+                                <Billboard position="<?lua print(10+i*20) ?>,0,<?lua print(-10-i*20) ?>" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
+                                <Billboard position="<?lua print(-10-i*20) ?>,0,<?lua print(10+i*20) ?>" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
+                            </attached>
+                        </MovableEntity>
+    
+                        <MovableEntity    position="0,0,0" rotationaxis="0,1,0" rotationrate=<?lua print(240+i*80) ?> >
+                            <attached>
+                                <Billboard position="<?lua print(15+i*30) ?>,0,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
+                                <Billboard position="<?lua print(-15-i*30) ?>,0,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
+                            </attached>
+                        </MovableEntity>
+
+                        <MovableEntity    position="0,0,0" rotationaxis="1,0,0" rotationrate=<?lua print(232+i*70) ?> >
+                            <attached>
+                                <Billboard position="0,<?lua print(15+i*30) ?>,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
+                                <Billboard position="0,<?lua print(-15-i*30) ?>,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
+                            </attached>
+                        </MovableEntity>
 <?lua end ?>
 
@@ -269,242 +310,242 @@
 <!--FIRST DISTANT PAIR-->
 <?lua for i=0,1,1 do ?>
-						<MovableEntity	position="0,0,0" rotationaxis="0,1,0" rotationrate=10 >
-							<attached>
-								<MovableEntity position="<?lua print(1500-3000*i) ?>,0,0">
-									<attached>
-										<Billboard position="0,0,0" material="Examples/Flare" colour="1.0,1.0,1.0" scale=0.3/>
-										<MovableEntity	position="0,0,0" rotationaxis="1,1,0" rotationrate=-255 >
-											<attached>
-												<Billboard position="10,-10,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
-												<Billboard position="-10,10,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
-											</attached>
-										</MovableEntity>
-
-										<MovableEntity	position="0,0,0" rotationaxis="1,0,1" rotationrate=-245 >
-											<attached>
-												<Billboard position="10,-10,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
-												<Billboard position="-10,10,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
-											</attached>
-										</MovableEntity>
-
-										<MovableEntity	position="0,0,0" rotationaxis="1,0,1" rotationrate=265 >
-											<attached>
-												<Billboard position="10,0,-10" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
-												<Billboard position="-10,0,10" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
-											</attached>
-										</MovableEntity>
-
-										<MovableEntity	position="0,0,0" rotationaxis="0,1,0" rotationrate=240 >
-											<attached>
-												<Billboard position="15,0,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
-												<Billboard position="-15,0,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
-											</attached>
-										</MovableEntity>
-
-										<MovableEntity	position="0,0,0" rotationaxis="1,0,0" rotationrate=232 >
-											<attached>
-												<Billboard position="0,15,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
-												<Billboard position="0,-15,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
-											</attached>
-										</MovableEntity>
-
-									</attached>
-								</MovableEntity>
-							</attached>
-						</MovableEntity>
+                        <MovableEntity    position="0,0,0" rotationaxis="0,1,0" rotationrate=10 >
+                            <attached>
+                                <MovableEntity position="<?lua print(1500-3000*i) ?>,0,0">
+                                    <attached>
+                                        <Billboard position="0,0,0" material="Examples/Flare" colour="1.0,1.0,1.0" scale=0.3/>
+                                        <MovableEntity    position="0,0,0" rotationaxis="1,1,0" rotationrate=-255 >
+                                            <attached>
+                                                <Billboard position="10,-10,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
+                                                <Billboard position="-10,10,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
+                                            </attached>
+                                        </MovableEntity>
+
+                                        <MovableEntity    position="0,0,0" rotationaxis="1,0,1" rotationrate=-245 >
+                                            <attached>
+                                                <Billboard position="10,-10,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
+                                                <Billboard position="-10,10,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
+                                            </attached>
+                                        </MovableEntity>
+
+                                        <MovableEntity    position="0,0,0" rotationaxis="1,0,1" rotationrate=265 >
+                                            <attached>
+                                                <Billboard position="10,0,-10" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
+                                                <Billboard position="-10,0,10" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
+                                            </attached>
+                                        </MovableEntity>
+
+                                        <MovableEntity    position="0,0,0" rotationaxis="0,1,0" rotationrate=240 >
+                                            <attached>
+                                                <Billboard position="15,0,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
+                                                <Billboard position="-15,0,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
+                                            </attached>
+                                        </MovableEntity>
+
+                                        <MovableEntity    position="0,0,0" rotationaxis="1,0,0" rotationrate=232 >
+                                            <attached>
+                                                <Billboard position="0,15,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
+                                                <Billboard position="0,-15,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
+                                            </attached>
+                                        </MovableEntity>
+
+                                    </attached>
+                                </MovableEntity>
+                            </attached>
+                        </MovableEntity>
 <?lua end ?>
 <!--SECOND DISTANT PAIR-->
 <?lua for i=0,1,1 do ?>
-						<MovableEntity	position="0,0,0" rotationaxis="1,0,0" rotationrate=8 >
-							<attached>
-								<MovableEntity position="0,<?lua print(1500-3000*i) ?>,0">
-									<attached>
-										<Billboard position="0,0,0" material="Examples/Flare" colour="1.0,1.0,1.0" scale=0.3/>
-										<MovableEntity	position="0,0,0" rotationaxis="1,1,0" rotationrate=-255 >
-											<attached>
-												<Billboard position="10,-10,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
-												<Billboard position="-10,10,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
-											</attached>
-										</MovableEntity>
-
-										<MovableEntity	position="0,0,0" rotationaxis="1,0,1" rotationrate=-245 >
-											<attached>
-												<Billboard position="10,-10,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
-												<Billboard position="-10,10,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
-											</attached>
-										</MovableEntity>
-
-										<MovableEntity	position="0,0,0" rotationaxis="1,0,1" rotationrate=265 >
-											<attached>
-												<Billboard position="10,0,-10" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
-												<Billboard position="-10,0,10" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
-											</attached>
-										</MovableEntity>
-
-										<MovableEntity	position="0,0,0" rotationaxis="0,1,0" rotationrate=240 >
-											<attached>
-												<Billboard position="15,0,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
-												<Billboard position="-15,0,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
-											</attached>
-										</MovableEntity>
-
-										<MovableEntity	position="0,0,0" rotationaxis="1,0,0" rotationrate=232 >
-											<attached>
-												<Billboard position="0,15,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
-												<Billboard position="0,-15,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
-											</attached>
-										</MovableEntity>
-
-									</attached>
-								</MovableEntity>
-							</attached>
-						</MovableEntity>
+                        <MovableEntity    position="0,0,0" rotationaxis="1,0,0" rotationrate=8 >
+                            <attached>
+                                <MovableEntity position="0,<?lua print(1500-3000*i) ?>,0">
+                                    <attached>
+                                        <Billboard position="0,0,0" material="Examples/Flare" colour="1.0,1.0,1.0" scale=0.3/>
+                                        <MovableEntity    position="0,0,0" rotationaxis="1,1,0" rotationrate=-255 >
+                                            <attached>
+                                                <Billboard position="10,-10,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
+                                                <Billboard position="-10,10,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
+                                            </attached>
+                                        </MovableEntity>
+
+                                        <MovableEntity    position="0,0,0" rotationaxis="1,0,1" rotationrate=-245 >
+                                            <attached>
+                                                <Billboard position="10,-10,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
+                                                <Billboard position="-10,10,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
+                                            </attached>
+                                        </MovableEntity>
+
+                                        <MovableEntity    position="0,0,0" rotationaxis="1,0,1" rotationrate=265 >
+                                            <attached>
+                                                <Billboard position="10,0,-10" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
+                                                <Billboard position="-10,0,10" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
+                                            </attached>
+                                        </MovableEntity>
+
+                                        <MovableEntity    position="0,0,0" rotationaxis="0,1,0" rotationrate=240 >
+                                            <attached>
+                                                <Billboard position="15,0,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
+                                                <Billboard position="-15,0,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
+                                            </attached>
+                                        </MovableEntity>
+
+                                        <MovableEntity    position="0,0,0" rotationaxis="1,0,0" rotationrate=232 >
+                                            <attached>
+                                                <Billboard position="0,15,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
+                                                <Billboard position="0,-15,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
+                                            </attached>
+                                        </MovableEntity>
+
+                                    </attached>
+                                </MovableEntity>
+                            </attached>
+                        </MovableEntity>
 <?lua end ?>
 <!--THIRD DISTANT PAIR-->
 <?lua for i=0,1,1 do ?>
-						<MovableEntity	position="0,0,0" rotationaxis="1,1,0" rotationrate=9 >
-							<attached>
-								<MovableEntity position="<?lua print(1000-2000*i) ?>,<?lua print(-1000+2000*i) ?>,0">
-									<attached>
-										<Billboard position="0,0,0" material="Examples/Flare" colour="1.0,1.0,1.0" scale=0.3/>
-										<MovableEntity	position="0,0,0" rotationaxis="1,1,0" rotationrate=-255 >
-											<attached>
-												<Billboard position="10,-10,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
-												<Billboard position="-10,10,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
-											</attached>
-										</MovableEntity>
-
-										<MovableEntity	position="0,0,0" rotationaxis="1,0,1" rotationrate=-245 >
-											<attached>
-												<Billboard position="10,-10,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
-												<Billboard position="-10,10,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
-											</attached>
-										</MovableEntity>
-
-										<MovableEntity	position="0,0,0" rotationaxis="1,0,1" rotationrate=265 >
-											<attached>
-												<Billboard position="10,0,-10" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
-												<Billboard position="-10,0,10" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
-											</attached>
-										</MovableEntity>
-
-										<MovableEntity	position="0,0,0" rotationaxis="0,1,0" rotationrate=240 >
-											<attached>
-												<Billboard position="15,0,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
-												<Billboard position="-15,0,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
-											</attached>
-										</MovableEntity>
-
-										<MovableEntity	position="0,0,0" rotationaxis="1,0,0" rotationrate=232 >
-											<attached>
-												<Billboard position="0,15,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
-												<Billboard position="0,-15,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
-											</attached>
-										</MovableEntity>
-
-									</attached>
-								</MovableEntity>
-							</attached>
-						</MovableEntity>
+                        <MovableEntity    position="0,0,0" rotationaxis="1,1,0" rotationrate=9 >
+                            <attached>
+                                <MovableEntity position="<?lua print(1000-2000*i) ?>,<?lua print(-1000+2000*i) ?>,0">
+                                    <attached>
+                                        <Billboard position="0,0,0" material="Examples/Flare" colour="1.0,1.0,1.0" scale=0.3/>
+                                        <MovableEntity    position="0,0,0" rotationaxis="1,1,0" rotationrate=-255 >
+                                            <attached>
+                                                <Billboard position="10,-10,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
+                                                <Billboard position="-10,10,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
+                                            </attached>
+                                        </MovableEntity>
+
+                                        <MovableEntity    position="0,0,0" rotationaxis="1,0,1" rotationrate=-245 >
+                                            <attached>
+                                                <Billboard position="10,-10,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
+                                                <Billboard position="-10,10,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
+                                            </attached>
+                                        </MovableEntity>
+
+                                        <MovableEntity    position="0,0,0" rotationaxis="1,0,1" rotationrate=265 >
+                                            <attached>
+                                                <Billboard position="10,0,-10" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
+                                                <Billboard position="-10,0,10" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
+                                            </attached>
+                                        </MovableEntity>
+
+                                        <MovableEntity    position="0,0,0" rotationaxis="0,1,0" rotationrate=240 >
+                                            <attached>
+                                                <Billboard position="15,0,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
+                                                <Billboard position="-15,0,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
+                                            </attached>
+                                        </MovableEntity>
+
+                                        <MovableEntity    position="0,0,0" rotationaxis="1,0,0" rotationrate=232 >
+                                            <attached>
+                                                <Billboard position="0,15,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
+                                                <Billboard position="0,-15,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
+                                            </attached>
+                                        </MovableEntity>
+
+                                    </attached>
+                                </MovableEntity>
+                            </attached>
+                        </MovableEntity>
 <?lua end ?>
 <!--FOURTH DISTANT PAIR-->
 <?lua for i=0,1,1 do ?>
-						<MovableEntity	position="0,0,0" rotationaxis="1,0,1" rotationrate=12 >
-							<attached>
-								<MovableEntity position="<?lua print(1000-2000*i) ?>,<?lua print(-1000+2000*i) ?>,0">
-									<attached>
-										<Billboard position="0,0,0" material="Examples/Flare" colour="1.0,1.0,1.0" scale=0.3/>
-										<MovableEntity	position="0,0,0" rotationaxis="1,1,0" rotationrate=-255 >
-											<attached>
-												<Billboard position="10,-10,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
-												<Billboard position="-10,10,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
-											</attached>
-										</MovableEntity>
-
-										<MovableEntity	position="0,0,0" rotationaxis="1,0,1" rotationrate=-245 >
-											<attached>
-												<Billboard position="10,-10,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
-												<Billboard position="-10,10,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
-											</attached>
-										</MovableEntity>
-
-										<MovableEntity	position="0,0,0" rotationaxis="1,0,1" rotationrate=265 >
-											<attached>
-												<Billboard position="10,0,-10" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
-												<Billboard position="-10,0,10" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
-											</attached>
-										</MovableEntity>
-
-										<MovableEntity	position="0,0,0" rotationaxis="0,1,0" rotationrate=240 >
-											<attached>
-												<Billboard position="15,0,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
-												<Billboard position="-15,0,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
-											</attached>
-										</MovableEntity>
-
-										<MovableEntity	position="0,0,0" rotationaxis="1,0,0" rotationrate=232 >
-											<attached>
-												<Billboard position="0,15,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
-												<Billboard position="0,-15,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
-											</attached>
-										</MovableEntity>
-
-									</attached>
-								</MovableEntity>
-							</attached>
-						</MovableEntity>
+                        <MovableEntity    position="0,0,0" rotationaxis="1,0,1" rotationrate=12 >
+                            <attached>
+                                <MovableEntity position="<?lua print(1000-2000*i) ?>,<?lua print(-1000+2000*i) ?>,0">
+                                    <attached>
+                                        <Billboard position="0,0,0" material="Examples/Flare" colour="1.0,1.0,1.0" scale=0.3/>
+                                        <MovableEntity    position="0,0,0" rotationaxis="1,1,0" rotationrate=-255 >
+                                            <attached>
+                                                <Billboard position="10,-10,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
+                                                <Billboard position="-10,10,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
+                                            </attached>
+                                        </MovableEntity>
+
+                                        <MovableEntity    position="0,0,0" rotationaxis="1,0,1" rotationrate=-245 >
+                                            <attached>
+                                                <Billboard position="10,-10,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
+                                                <Billboard position="-10,10,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
+                                            </attached>
+                                        </MovableEntity>
+
+                                        <MovableEntity    position="0,0,0" rotationaxis="1,0,1" rotationrate=265 >
+                                            <attached>
+                                                <Billboard position="10,0,-10" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
+                                                <Billboard position="-10,0,10" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
+                                            </attached>
+                                        </MovableEntity>
+
+                                        <MovableEntity    position="0,0,0" rotationaxis="0,1,0" rotationrate=240 >
+                                            <attached>
+                                                <Billboard position="15,0,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
+                                                <Billboard position="-15,0,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
+                                            </attached>
+                                        </MovableEntity>
+
+                                        <MovableEntity    position="0,0,0" rotationaxis="1,0,0" rotationrate=232 >
+                                            <attached>
+                                                <Billboard position="0,15,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
+                                                <Billboard position="0,-15,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
+                                            </attached>
+                                        </MovableEntity>
+
+                                    </attached>
+                                </MovableEntity>
+                            </attached>
+                        </MovableEntity>
 <?lua end ?>
 <!--FIFTH DISTANT PAIR-->
 <?lua for i=0,1,1 do ?>
-						<MovableEntity	position="0,0,0" rotationaxis="1,0,1" rotationrate=11 >
-							<attached>
-								<MovableEntity position="<?lua print(1000-2000*i) ?>,0,<?lua print(-1000+2000*i) ?>">
-									<attached>
-										<Billboard position="0,0,0" material="Examples/Flare" colour="1.0,1.0,1.0" scale=0.3/>
-										<MovableEntity	position="0,0,0" rotationaxis="1,1,0" rotationrate=-255 >
-											<attached>
-												<Billboard position="10,-10,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
-												<Billboard position="-10,10,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
-											</attached>
-										</MovableEntity>
-
-										<MovableEntity	position="0,0,0" rotationaxis="1,0,1" rotationrate=-245 >
-											<attached>
-												<Billboard position="10,-10,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
-												<Billboard position="-10,10,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
-											</attached>
-										</MovableEntity>
-
-										<MovableEntity	position="0,0,0" rotationaxis="1,0,1" rotationrate=265 >
-											<attached>
-												<Billboard position="10,0,-10" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
-												<Billboard position="-10,0,10" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
-											</attached>
-										</MovableEntity>
-
-										<MovableEntity	position="0,0,0" rotationaxis="0,1,0" rotationrate=240 >
-											<attached>
-												<Billboard position="15,0,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
-												<Billboard position="-15,0,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
-											</attached>
-										</MovableEntity>
-
-										<MovableEntity	position="0,0,0" rotationaxis="1,0,0" rotationrate=232 >
-											<attached>
-												<Billboard position="0,15,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
-												<Billboard position="0,-15,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
-											</attached>
-										</MovableEntity>
-
-									</attached>
-								</MovableEntity>
-							</attached>
-						</MovableEntity>
-<?lua end ?>
-					</attached>
-				</MovableEntity>
-			</attached>
-		</StaticEntity>
-		
+                        <MovableEntity    position="0,0,0" rotationaxis="1,0,1" rotationrate=11 >
+                            <attached>
+                                <MovableEntity position="<?lua print(1000-2000*i) ?>,0,<?lua print(-1000+2000*i) ?>">
+                                    <attached>
+                                        <Billboard position="0,0,0" material="Examples/Flare" colour="1.0,1.0,1.0" scale=0.3/>
+                                        <MovableEntity    position="0,0,0" rotationaxis="1,1,0" rotationrate=-255 >
+                                            <attached>
+                                                <Billboard position="10,-10,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
+                                                <Billboard position="-10,10,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
+                                            </attached>
+                                        </MovableEntity>
+
+                                        <MovableEntity    position="0,0,0" rotationaxis="1,0,1" rotationrate=-245 >
+                                            <attached>
+                                                <Billboard position="10,-10,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
+                                                <Billboard position="-10,10,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
+                                            </attached>
+                                        </MovableEntity>
+
+                                        <MovableEntity    position="0,0,0" rotationaxis="1,0,1" rotationrate=265 >
+                                            <attached>
+                                                <Billboard position="10,0,-10" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
+                                                <Billboard position="-10,0,10" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
+                                            </attached>
+                                        </MovableEntity>
+
+                                        <MovableEntity    position="0,0,0" rotationaxis="0,1,0" rotationrate=240 >
+                                            <attached>
+                                                <Billboard position="15,0,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
+                                                <Billboard position="-15,0,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
+                                            </attached>
+                                        </MovableEntity>
+
+                                        <MovableEntity    position="0,0,0" rotationaxis="1,0,0" rotationrate=232 >
+                                            <attached>
+                                                <Billboard position="0,15,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
+                                                <Billboard position="0,-15,0" material="Examples/Flare" colour="0.8, 0.8, 0.8" scale=0.1/>
+                                            </attached>
+                                        </MovableEntity>
+
+                                    </attached>
+                                </MovableEntity>
+                            </attached>
+                        </MovableEntity>
+<?lua end ?>
+                    </attached>
+                </MovableEntity>
+            </attached>
+        </StaticEntity>
+    
 
 <!--TIME MACHINE END____________________________________________________________________________________________________________________________________________________________________-->
@@ -513,99 +554,99 @@
 
 <!--NO 1-->
-		<ForceField position="-2500,0,800" direction="1,0,0" diameter=500 velocity=5000 length=1000 />
-		<MovableEntity position="-2500,0,800">
-			<attached>
-				<Billboard position="0,0,0" material="Flares/ringflare2" colour="0.5,0,0" scale=2/>
-				<?lua for i=0,20,1 do ?>
-					<Billboard position="<?lua print(i*200) ?>,0,-100" material="Examples/Flare" colour="0.5,0,0" scale=1/>
-					<Billboard position="<?lua print(i*200) ?>,0,100" material="Examples/Flare" colour="0.5,0,0" scale=1/>
-				<?lua end ?>
-				</attached>
-		</MovableEntity>
+        <ForceField position="-2500,0,800" direction="1,0,0" diameter=500 velocity=5000 length=1000 />
+        <MovableEntity position="-2500,0,800">
+            <attached>
+                <Billboard position="0,0,0" material="Flares/ringflare2" colour="0.5,0,0" scale=2/>
+                <?lua for i=0,20,1 do ?>
+                    <Billboard position="<?lua print(i*200) ?>,0,-100" material="Examples/Flare" colour="0.5,0,0" scale=1/>
+                    <Billboard position="<?lua print(i*200) ?>,0,100" material="Examples/Flare" colour="0.5,0,0" scale=1/>
+                <?lua end ?>
+                </attached>
+        </MovableEntity>
 <!--NO 2-->
-		<ForceField position="2500,0,-800" direction="-1,0,0" diameter=500 velocity=5000 length=1000 />
-		<MovableEntity position="2500,0,-800">
-			<attached>
-				<Billboard position="0,0,0" material="Flares/ringflare2" colour="0,0.5,0" scale=2/>
-				<?lua for i=0,20,1 do ?>
-					<Billboard position="<?lua print(-i*200) ?>,0,-100" material="Examples/Flare" colour="0,0.5,0" scale=1/>
-					<Billboard position="<?lua print(-i*200) ?>,0,100" material="Examples/Flare" colour="0,0.5,0" scale=1/>
-				<?lua end ?>
-			</attached>
-		</MovableEntity>
-		
+        <ForceField position="2500,0,-800" direction="-1,0,0" diameter=500 velocity=5000 length=1000 />
+        <MovableEntity position="2500,0,-800">
+            <attached>
+                <Billboard position="0,0,0" material="Flares/ringflare2" colour="0,0.5,0" scale=2/>
+                <?lua for i=0,20,1 do ?>
+                    <Billboard position="<?lua print(-i*200) ?>,0,-100" material="Examples/Flare" colour="0,0.5,0" scale=1/>
+                    <Billboard position="<?lua print(-i*200) ?>,0,100" material="Examples/Flare" colour="0,0.5,0" scale=1/>
+                <?lua end ?>
+            </attached>
+        </MovableEntity>
+    
 <!--NO 3-->
-		<ForceField position="-2500,0,-600" direction="0.75,0.5,1" diameter=500 velocity=5000 length=1000 />
-		<MovableEntity position="-2500,0,-600">
-			<attached>
-				<Billboard position="0,0,0" material="Flares/ringflare2" colour="0.5,0,0.5" scale=2/>
-				<?lua for i=0,20,1 do ?>
-					<Billboard position="<?lua print(i*115-100) ?>,<?lua print(i*75) ?>,<?lua print(i*150) ?>" material="Examples/Flare" colour="0.5,0,0.5" scale=1/>
-					<Billboard position="<?lua print(i*115+100) ?>,<?lua print(i*75) ?>,<?lua print(i*150) ?>" material="Examples/Flare" colour="0.5,0,0.5" scale=1/>
-				<?lua end ?>
-			</attached>
-		</MovableEntity>
+        <ForceField position="-2500,0,-600" direction="0.75,0.5,1" diameter=500 velocity=5000 length=1000 />
+        <MovableEntity position="-2500,0,-600">
+            <attached>
+                <Billboard position="0,0,0" material="Flares/ringflare2" colour="0.5,0,0.5" scale=2/>
+                <?lua for i=0,20,1 do ?>
+                    <Billboard position="<?lua print(i*115-100) ?>,<?lua print(i*75) ?>,<?lua print(i*150) ?>" material="Examples/Flare" colour="0.5,0,0.5" scale=1/>
+                    <Billboard position="<?lua print(i*115+100) ?>,<?lua print(i*75) ?>,<?lua print(i*150) ?>" material="Examples/Flare" colour="0.5,0,0.5" scale=1/>
+                <?lua end ?>
+            </attached>
+        </MovableEntity>
 
 <!--NO 4-->
-		<ForceField position="2500,0,600" direction="-0.75,-0.5,-1" diameter=500 velocity=5000 length=1000 />
-		<MovableEntity position="2500,0,600">
-			<attached>
-				<Billboard position="0,0,0" material="Flares/ringflare2" colour="0,0.5,0.5" scale=2/>
-				<?lua for i=0,20,1 do ?>
-					<Billboard position="<?lua print(i*(-115)-100) ?>,<?lua print(i*(-75)) ?>,<?lua print(i*(-150)) ?>" material="Examples/Flare" colour="0,0.5,0.5" scale=1/>
-					<Billboard position="<?lua print(i*(-115)+100) ?>,<?lua print(i*-(75)) ?>,<?lua print(i*(-150)) ?>" material="Examples/Flare" colour="0,0.5,0.5" scale=1/>
-				<?lua end ?>
-			</attached>
-		</MovableEntity>
+        <ForceField position="2500,0,600" direction="-0.75,-0.5,-1" diameter=500 velocity=5000 length=1000 />
+        <MovableEntity position="2500,0,600">
+            <attached>
+                <Billboard position="0,0,0" material="Flares/ringflare2" colour="0,0.5,0.5" scale=2/>
+                <?lua for i=0,20,1 do ?>
+                    <Billboard position="<?lua print(i*(-115)-100) ?>,<?lua print(i*(-75)) ?>,<?lua print(i*(-150)) ?>" material="Examples/Flare" colour="0,0.5,0.5" scale=1/>
+                    <Billboard position="<?lua print(i*(-115)+100) ?>,<?lua print(i*-(75)) ?>,<?lua print(i*(-150)) ?>" material="Examples/Flare" colour="0,0.5,0.5" scale=1/>
+                <?lua end ?>
+            </attached>
+        </MovableEntity>
 
 <!--NO 5 (samller)-->
-		<ForceField position="0,-500,500" direction="0,1,0" diameter=500 velocity=3000 length=1000 />
-		<MovableEntity position="0,-500,500">
-			<attached>
-				<Billboard position="0,0,0" material="Flares/ringflare2" colour="0.5,0.5,0" scale=2/>
-				<?lua for i=0,15,1 do ?>
-					<Billboard position="0,<?lua print(i*100) ?>,0" material="Examples/Flare" colour="0.5,0.5,0" scale=1/>
-				<?lua end ?>
-			</attached>
-		</MovableEntity>
+        <ForceField position="0,-500,500" direction="0,1,0" diameter=500 velocity=3000 length=1000 />
+        <MovableEntity position="0,-500,500">
+            <attached>
+                <Billboard position="0,0,0" material="Flares/ringflare2" colour="0.5,0.5,0" scale=2/>
+                <?lua for i=0,15,1 do ?>
+                    <Billboard position="0,<?lua print(i*100) ?>,0" material="Examples/Flare" colour="0.5,0.5,0" scale=1/>
+                <?lua end ?>
+            </attached>
+        </MovableEntity>
 
 <!--No 6 (smaller)-->
-		<ForceField position="0,500,-500" direction="0,-1,0" diameter=500 velocity=3000 length=1000 />
-		<MovableEntity position="0,500,-500">
-			<attached>
-				<Billboard position="0,0,0" material="Flares/ringflare2" colour="0.5,0.3,0.2" scale=2/>
-				<?lua for i=0,15,1 do ?>
-					<Billboard position="0,<?lua print(i*(-100)) ?>,0" material="Examples/Flare" colour="0.5,0.3,0.2" scale=1/>
-				<?lua end ?>
-			</attached>
-		</MovableEntity>
+        <ForceField position="0,500,-500" direction="0,-1,0" diameter=500 velocity=3000 length=1000 />
+        <MovableEntity position="0,500,-500">
+            <attached>
+                <Billboard position="0,0,0" material="Flares/ringflare2" colour="0.5,0.3,0.2" scale=2/>
+                <?lua for i=0,15,1 do ?>
+                    <Billboard position="0,<?lua print(i*(-100)) ?>,0" material="Examples/Flare" colour="0.5,0.3,0.2" scale=1/>
+                <?lua end ?>
+            </attached>
+        </MovableEntity>
 
 <!--No 7 (smaller)-->
-		<ForceField position="500,0,-500" direction="0,0,1" diameter=500 velocity=2500 length=750 />
-		<MovableEntity position="500,0,-500">
-			<attached>
-				<Billboard position="0,0,0" material="Flares/ringflare2" colour="0.5,0.4,0.6" scale=2/>
-				<?lua for i=0,8,1 do ?>
-					<Billboard position="0,0,<?lua print(i*(100)) ?>" material="Examples/Flare" colour="0.5,0.4,0.6" scale=1/>
-				<?lua end ?>
-			</attached>
-		</MovableEntity>
+        <ForceField position="500,0,-500" direction="0,0,1" diameter=500 velocity=2500 length=750 />
+        <MovableEntity position="500,0,-500">
+            <attached>
+                <Billboard position="0,0,0" material="Flares/ringflare2" colour="0.5,0.4,0.6" scale=2/>
+                <?lua for i=0,8,1 do ?>
+                    <Billboard position="0,0,<?lua print(i*(100)) ?>" material="Examples/Flare" colour="0.5,0.4,0.6" scale=1/>
+                <?lua end ?>
+            </attached>
+        </MovableEntity>
 
 <!--No 8 (smaller)-->
-		<ForceField position="-500,0,500" direction="0,0,-1" diameter=500 velocity=2500 length=750 />
-		<MovableEntity position="-500,0,500">
-			<attached>
-				<Billboard position="0,0,0" material="Flares/ringflare2" colour="0.7,0.4,0.1" scale=2/>
-				<?lua for i=0,8,1 do ?>
-					<Billboard position="0,0,<?lua print(i*(-100)) ?>" material="Examples/Flare" colour="0.7,0.4,0.1" scale=1/>
-				<?lua end ?>
-			</attached>
-		</MovableEntity>
+        <ForceField position="-500,0,500" direction="0,0,-1" diameter=500 velocity=2500 length=750 />
+        <MovableEntity position="-500,0,500">
+            <attached>
+                <Billboard position="0,0,0" material="Flares/ringflare2" colour="0.7,0.4,0.1" scale=2/>
+                <?lua for i=0,8,1 do ?>
+                    <Billboard position="0,0,<?lua print(i*(-100)) ?>" material="Examples/Flare" colour="0.7,0.4,0.1" scale=1/>
+                <?lua end ?>
+            </attached>
+        </MovableEntity>
 
 <!--Invisible Forcefield (immediatly sends the player to the time machine)-->
-		<ForceField position="-2500,2500,800" direction="1,-1,-0.32" diameter=200 velocity=10000 length=880 />
-		<Billboard position="-2500,2500,800" material="Examples/Flare" colour="1,1,1" /> <!--This Billboard looks like a star on the Skybox-->
-		
-		
-	</Scene>
+        <ForceField position="-2500,2500,800" direction="1,-1,-0.32" diameter=200 velocity=10000 length=880 />
+        <Billboard position="-2500,2500,800" material="Examples/Flare" colour="1,1,1" /> <!--This Billboard looks like a star on the Skybox-->
+    
+    
+    </Scene>
 </Level>
